@echo off
:askpath
if exist dppath.txt goto menu
echo Willkommen bei DPGet! Bitte gib dein DPBall-Verzeichnis an. (Enter-Taste fr Standard-Verzeichnis)
set dpdirectory=
set /p dpdirectory=
echo Bitte erneut angeben, um die Eingabe zu besttigen
set dpdirectorycheck=
set /p dpdirectorycheck=
if '%dpdirectory%'=='%dpdirectorycheck%' goto pathadd
echo Verzeichnisse stimmen nicht berein. Bitte erneut eingeben.
pause
goto verify

:pathadd
if '%dpdirectory%'=='' goto defaultpathadd
echo %dpdirectory%>>dppath.txt
goto menu

:defaultpathadd
echo C:\games\paintball2>dppath.txt
goto menu

:menu
title DPGet 0.7
cls
if exist dpget-update.bat goto delupdate
echo set dpgetpath=%cd%>setdpgetpath.bat
call setdpgetpath.bat
del setdpgetpath.bat
set /p dppath=<dppath.txt
echo Willkommen bei dem DPGet Digital Paintball Datei-Downloader!
echo Was mchtest du gerne tun?
echo 1. Eine Map herunterladen
echo 2. Die Datei-Datenbank ansehen
echo 3. Die Datei-Datenbank durchsuchen
echo 4. Auf Paket-Updates berprfen
echo 5. News lesen
echo 6. Auf DPGet-Updates berprfen
echo 7. ber DPGet
echo 8. Ende
set choice=
set /p choice=Enter your choice: 
if '%choice%'=='1' goto mapmenu
if '%choice%'=='2' goto browsefiles
if '%choice%'=='3' goto searchfiles
if '%choice%'=='4' goto packagescan
if '%choice%'=='5' goto news
if '%choice%'=='6' goto updatecheck
if '%choice%'=='7' goto about
if '%choice%'=='8' goto end
echo Bitte 1 2 3 4 5 6 7 oder 8 eingeben.
pause
goto menu

:delupdate
del dpget-update.bat
goto menu

:mapmenu
cls
set map=
set /p map=Bitte gib einen Mapnamen an (inklusive .bsp)...  
if %map%==*.* goto invalidmap
if '%map%'=='' goto emptymap
echo :download1 >dlmap.bat
echo download ftp://85.214.56.218/pub/Maps/%map% /display:progress >>dlmap.bat
echo if not exist %map% goto download2 >>dlmap.bat
echo copy %map% %dppath%\pball\maps\%map% >>dlmap.bat
echo goto deletemap >>dlmap.bat
echo :download2 >>dlmap.bat
echo download http://www.dplogin.com/files/maps/%map% /display:progress >>dlmap.bat
echo if not exist %map% echo Download fehlgeschlagen. >>dlmap.bat
echo copy %map% %dppath%\pball\maps\%map% >>dlmap.bat
echo :deletemap >>dlmap.bat
echo del %map% >>dlmap.bat
call dlmap.bat
del dlmap.bat
pause
goto menu

:invalidmap
echo Du kannst das nicht als Platzhalter verwenden. Fr alle Maps bitte *.bsp eingeben.
pause
goto menu

:emptymap
echo Bitte gib einen Mapnamen an.
pause
goto menu

:browsefiles
cls
download http://www.viciouz.co.uk/database/index.txt /display:silent
echo Dateiliste siehe unten:
echo.
type index.txt | more
echo.
goto filechoose

:searchfiles
cls
download http://www.viciouz.co.uk/database/index.txt /display:silent
set find=
set /p find=Bitte Suchanfrage eingeben (ersten Buchstaben groschreiben)...  
find "%find%" index.txt
goto filechoose

:filechoose
echo Dateinummer angeben, um sie herunterzuladen. Um zum Hauptmen zu gelangen, bitte Enter drcken.
set file=
set /p file=
if '%file%'=='' goto delmenu
if '%file%'=='info' goto fileinfo
echo download http://www.viciouz.co.uk/database/%file%.txt /display:silent >dlfileinfo.bat
call dlfileinfo.bat
del dlfileinfo.bat
set fileurl=
set /p fileurl=<%file%.txt
echo download %fileurl% /display:progress >dlfile.bat
echo del %file%.txt >>dlfile.bat
call dlfile.bat
del dlfile.bat
del index.txt
echo Datei heruntergeladen.
pause
goto menu

:updatecheck
cls
echo Suche nach Updates...
download http://www.viciouz.co.uk/database/dpget.txt /display:silent
set version=07
set update=
set /p update=<dpget.txt
if %version% LSS %update% goto update
echo Keine Updates gefunden.
del dpget.txt
pause
goto menu

:update
set updatechoice=
set /p updatechoice=Updates gefunden. Installieren? (J/N) 
if '%updatechoice%'=='n' goto menu
download http://www.viciouz.co.uk/dpget/dpget.zip /display:progress
download http://www.viciouz.co.uk/dpget/dpget-update.bat /display:progress
download http://www.viciouz.co.uk/dpget/unzip.exe /display:progress
dpget-update.bat

:packagescan
cls
echo Durchsuche Packages nach Versionen...
set zorchmenusscan=0
set updatesfoun=0
goto scanroutine

:scanroutine
if %zorchmenusscan%==0 goto zorchmenusscan
if %updatesfound%==1 goto updatesfound
goto noupdates

:zorchmenusscan
set zorchmenusscan=1
cd %dppath%\pball\
cd versions
if not exist zhmr_all.txt goto scanroutine
set localzorch=
set /p localzorch=<zhmr_all.txt
cd %dpgetpath%
echo Zorchenhimer's Men-Paket >>packages.txt
download http://www.viciouz.co.uk/database/vers/zorchenhimermenus.txt /display:silent
set remotezorch=0
set /p remotezorch=<zorchenhimermenus.txt
del zorchenhimermenus.txt
if not %localzorch% lss %remotezorch% goto scanroutine
set updatesfound=1
del zorchmenus.zip
download http://www.viciouz.co.uk/other/miscfiles/zorchmenus.zip /display:progress
echo Zorchenhimer's Men-Paket >>updatedpackages.txt
goto scanroutine

:updatesfound
echo.
echo Pakete gefunden:
type packages.txt
del packages.txt
echo.
echo Pakete aktualisiert:
type updatedpackages.txt
del updatedpackages.txt
echo.
echo Alle aktualisierten Pakete befinden sich nun in:
echo %dpgetpath%
pause
goto menu

:news
cls
echo Prfe auf News...
download http://www.viciouz.co.uk/database/news.txt /display:silent
type news.txt | more
del news.txt
echo.
echo Drcke eine Taste, um ins Hauptmen zu gelangen...
pause >nul
goto menu

:about
cls
echo ber DPGET v0.7
echo DPGET ist ein Werkzeug, um Dateien fr Digital Paintball 2 herunterzuladen.
echo Derzeit beinhaltet es ein Feature, um Maps herunterzuladen, welches versucht, Maps von www.dplogin.com herunterzuladen
echo Es beinhaltet ebenso eine einfach Datei-Datenbank auf viciouz.co.uk
echo DPGET, geschrieben von ViciouZ (c) ViciouZ.co.uk 2007
echo DPGET benutzt den File Downloader von Noel Danjou, welcher ohne vorherige Absprache nicht weiterverteilt werden darf. 
echo Dank an KnacK, Zorchenhimer und y00tz fr ihr Hilfe und Untersttzung.
echo bersetzt ins Deutsche von PURE
pause
goto menu

:delmenu
del index.txt
goto menu

:end
cls
echo Danke, dass du DPGet genutzt hast.
pause
exit